[ModuleList]
ModuleNum=27
Moduleenumdef=
ModuleEnableCtrlPath=
ModuleBypassCtrlPath=
Module0=AE
Module1=AWB
Module2=Gamma
Module3=BLC
Module4=Degamma
Module5=GIC
Module6=Dehaze
Module7=DPCC
Module8=HDRMGE
Module9=DRC
Module10=CPSL
Module11=ORB
Module12=Debayer
Module13=CPROC
Module14=IE
Module15=LSC
Module16=ColorAsGrey
Module17=lumaDetect
Module18=LDCH
Module19=CCM
Module20=3DLUT
Module21=AF
Module22=Thumbnails
Module23=BNR
Module24=CNR
Module25=YNR
Module26=Sharp


[AE]
fullpath=/ae_calib
enablepath=/ae_calib/CommCtrl/Enable
bypasspath=
modepath=/ae_calib/CommCtrl/AecOpType
camAlgoResultType=

[AWB]
fullpath=/wb_v21
enablepath=
bypasspath=/wb_v21/control/byPass
modepath=/wb_v21/control/mode
camAlgoResultType=

[Gamma]
fullpath=/agamma_calib
enablepath=/agamma_calib/GammaTuningPara/Gamma_en
bypasspath=
modepath=
camAlgoResultType=

[BLC]
fullpath=/ablc_calib
enablepath=/ablc_calib/BlcTuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[Degamma]
fullpath=/adegamma_calib
enablepath=/adegamma_calib/DegammaTuningPara/degamma_en
bypasspath=
camAlgoResultType=

[GIC]
fullpath=/agic_calib_v21
enablepath=/agic_calib_v21/GicTuningPara/enable
bypasspath=
camAlgoResultType=

[Dehaze]
fullpath=/adehaze_calib_v21
enablepath=/adehaze_calib_v21/DehazeTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[DPCC]
fullpath=/adpcc_calib
enablepath=/adpcc_calib/DpccTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[HDRMGE]
fullpath=/amerge_calib
enablepath=
bypasspath=
modepath=
camAlgoResultType=

[DRC]
fullpath=/adrc_calib
enablepath=/adrc_calib/DrcTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[CPSL]
fullpath=/cpsl
enablepath=/cpsl/param/enable
bypasspath=
modepath=
camAlgoResultType=

[ORB]
fullpath=/orb
enablepath=/orb/param/orb_en
bypasspath=
modepath=
camAlgoResultType=

[Debayer]
fullpath=/debayer
enablepath=/debayer/param/debayer_en
bypasspath=
modepath=
camAlgoResultType=

[CPROC]
fullpath=/cproc
enablepath=/cproc/param/enable
bypasspath=
modepath=
camAlgoResultType=

[IE]
fullpath=/ie
enablepath=/ie/param/enable
bypasspath=
modepath=/ie/param/mode
camAlgoResultType=

[LSC]
fullpath=/lsc_v2
enablepath=/lsc_v2/common/enable
bypasspath=
modepath=
camAlgoResultType=

[ColorAsGrey]
fullpath=/colorAsGrey
enablepath=/colorAsGrey/param/enable
bypasspath=
modepath=
camAlgoResultType=

[lumaDetect]
fullpath=/lumaDetect
enablepath=
bypasspath=
modepath=
camAlgoResultType=

[LDCH]
fullpath=/aldch
enablepath=/aldch/common/ldch_en
bypasspath=
modepath=
camAlgoResultType=

[CCM]
fullpath=/ccm_calib
enablepath=/ccm_calib/control/enable
bypasspath=
modepath=
camAlgoResultType=

[3DLUT]
fullpath=/lut3d_calib
enablepath=/lut3d_calib/common/enable
bypasspath=
modepath=
camAlgoResultType=

[AF]
fullpath=/af
enablepath=/af/TuningPara/contrast_af/enable
bypasspath=
modepath=
camAlgoResultType=

[Thumbnails]
fullpath=/thumbnails
enablepath=
bypasspath=
modepath=
camAlgoResultType=

[BNR]
fullpath=/bayernr_v2
enablepath=
bypasspath=
modepath=
camAlgoResultType=

[CNR]
fullpath=/cnr_v1
enablepath=/cnr_v1/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[YNR]
fullpath=/ynr_v2
enablepath=/ynr_v2/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[Sharp]
fullpath=/sharp_v3
enablepath=/sharp_v3/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=
